import java.awt.*;
import javax.swing.*;

public class CopyCatButton extends JButton
{
    private static Font copyFont = null;
    private static Color copyColor = null;
    private String label = "not defined";

    public CopyCatButton(String label)
    {
	super(label);
	this.label = label;
	if (copyFont != null)
	    setFont(copyFont);
	if (copyColor != null)
	    setBackground(copyColor);
    }

    public void setFont(Font f)
    {
	super.setFont(f);
	if (label != null)
	    copyFont = f;
    }
    public void setBackground(Color c)
    {
	super.setBackground(c);
	if (label != null)
	    copyColor = c;
    }
}
